org.apache.poi.hemf.record.emf

## Class HemfFont.LogFontPanose

- java.lang.Object
- - org.apache.poi.hemf.record.emf.HemfFont.LogFontPanose

- All Implemented Interfaces:
    GenericRecord, HemfFont.LogFontDetails
  Enclosing class:
    HemfFont

      protected static class HemfFont.LogFontPanose
      extends java.lang.Object
      implements HemfFont.LogFontDetails, GenericRecord

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.poi.hemf.record.emf.HemfFont.LogFontPanose.ArmStyle` | `armStyle`
    `protected org.apache.poi.hemf.record.emf.HemfFont.LogFontPanose.Contrast` | `contrast`
    `protected int` | `culture`
    `protected org.apache.poi.hemf.record.emf.HemfFont.LogFontPanose.FamilyType` | `familyType`
    `protected org.apache.poi.hemf.record.emf.HemfFont.LogFontPanose.Letterform` | `letterform`
    `protected org.apache.poi.hemf.record.emf.HemfFont.LogFontPanose.MidLine` | `midLine`
    `protected org.apache.poi.hemf.record.emf.HemfFont.LogFontPanose.Proportion` | `proportion`
    `protected org.apache.poi.hemf.record.emf.HemfFont.LogFontPanose.SerifType` | `serifStyle`
    `protected org.apache.poi.hemf.record.emf.HemfFont.LogFontPanose.StrokeVariation` | `strokeVariation`
    `protected int` | `styleSize`
    `protected int` | `vendorId`
    `protected org.apache.poi.hemf.record.emf.HemfFont.LogFontPanose.FontWeight` | `weight`
    `protected org.apache.poi.hemf.record.emf.HemfFont.LogFontPanose.XHeight` | `xHeight`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LogFontPanose()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren, getGenericRecordType`

- - ### Field Detail

    - #### styleSize

          protected int styleSize

    - #### vendorId

          protected int vendorId

    - #### culture

          protected int culture

    - #### familyType

          protected org.apache.poi.hemf.record.emf.HemfFont.LogFontPanose.FamilyType familyType

    - #### serifStyle

          protected org.apache.poi.hemf.record.emf.HemfFont.LogFontPanose.SerifType serifStyle

    - #### weight

          protected org.apache.poi.hemf.record.emf.HemfFont.LogFontPanose.FontWeight weight

    - #### proportion

          protected org.apache.poi.hemf.record.emf.HemfFont.LogFontPanose.Proportion proportion

    - #### contrast

          protected org.apache.poi.hemf.record.emf.HemfFont.LogFontPanose.Contrast contrast

    - #### strokeVariation

          protected org.apache.poi.hemf.record.emf.HemfFont.LogFontPanose.StrokeVariation strokeVariation

    - #### armStyle

          protected org.apache.poi.hemf.record.emf.HemfFont.LogFontPanose.ArmStyle armStyle

    - #### letterform

          protected org.apache.poi.hemf.record.emf.HemfFont.LogFontPanose.Letterform letterform

    - #### midLine

          protected org.apache.poi.hemf.record.emf.HemfFont.LogFontPanose.MidLine midLine

    - #### xHeight

          protected org.apache.poi.hemf.record.emf.HemfFont.LogFontPanose.XHeight xHeight

  - ### Constructor Detail

    - #### LogFontPanose

          protected LogFontPanose()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.